from pathlib import Path
from setuptools import setup, find_packages

here = Path(__file__).parent

readme = (here / "README.md").read_text()

setup(
    name="spon_api",
    version="1.2",
    description="Scrape article text, metadata and comments from DER SPIEGEL",
    long_description=readme,
    long_description_content_type="text/markdown",
    author="Gerrit Anders",
    license="GPL-3.0-only",
    classifiers=[
        "License :: OSI Approved :: GNU General Public License v3 (GPLv3)",
        "Programming Language :: Python :: 3",
        "Programming Language :: Python :: 3.10",
    ],
    packages=find_packages(),
    include_package_data=True,
    install_requires=[
        "cssselect==1.2.0",
        "dateparser==1.2.0",
        "lxml==4.9.3",
        "python-dotenv==1.0.1",
        "requests==2.31.0",
        "tldextract=5.1.1",
    ],
    keywords="scraping, article, metadata, comments, DER SPIEGEL",
)
